<?
define('PROTECTOR', 1);

$head = 'clanroom';//фикс. места

$textl='Ратуша';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
ryd();
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');

$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$log'");
$inv = mysql_query("SELECT * FROM `invite` WHERE `usr` = '$log'");
$inv=mysql_num_rows($inv);
////////////////////////////
$lider=mysql_num_rows($req);
$liders=mysql_fetch_array($req);
switch($_GET[mod]){

default:
if($lider==0){
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0") {$_GET[page] = 0;}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 10;
if($_GET[page] == "0"){$i = 1;}else{$i = ($_GET[page]*10)+1;}
echo'<b>Кланы</b></div><div class="menu">';
$req = mysql_query("SELECT * FROM `clan` ORDER by `exp` DESC LIMIT $num,10");
$avto=mysql_num_rows($req);
if($avto>=1){
While($clan = mysql_fetch_array($req)){
$puslap = floor($avto/10);
if($clan[set_d]==0){echo"<img src=\"pic/no.png\" alt=\"\"/>";}else{echo"<img src=\"pic/yes.png\" alt=\"\"/>";}
echo" $clan[lider] <a href=\"clan.php?id=$clan[id]\">$clan[name]</a>
<img src=\"pic/clan/$clan[emblema]\" alt=\"*\"/><br/>";}}else{
echo"<b>Нет кланов</b><br/>";}
echo"</div><div class='menu'>";
if($_GET[page] > 0){echo "<a href=\"home.php?page=$back\">< назад </a>";}
if($_GET[page] < $puslap){echo "<a href=\"home.php?page=$next\">далее ></a>";}
if(empty($udata[clan])){
echo '</div><div class="menu"><a href="home.php?mod=inv">Приглашения</a> ('.$inv.')<br>';
echo"<a href=\"home.php?mod=new\">Создать свой клан</a><br>";}else{
echo"</div><div class=\"menu\"><a href=\"clanroom.php?\">Комната клана</a><br></div><div class=\"menu\">";}
echo"<img src=\"pic/no.png\" alt=\"\"/> - закрытые кланы<br>";
echo"<img src=\"pic/yes.png\" alt=\"\"/> - открытые кланы";
}elseif($lider==1){
echo"<div class='menuList'>";
echo"<li><a href=\"home.php?mod=toclan\">Взять в клан</a></li>";
echo"<li><a href=\"home.php?mod=logo\">Эмблема клана</a></li>";
echo"<li><a href=\"home.php?mod=logotip\">Логотип клана</a></li>";
echo"<li><a href=\"home.php?mod=clanlist\">Список клана</a></li>";
echo"<li><a href=\"home.php?mod=citys\">Города клана</a></li>";
echo"<li><a href=\"home.php?mod=delet\">Удалить клан</a></li>";
echo"<li><a href=\"home.php?mod=list\">Список кланов</a></li></div>";}
break;


case 'list':
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0") {$_GET[page] = 0;}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 10;
if($_GET[page] == "0"){$i = 1;}else{$i = ($_GET[page]*10)+1;}
echo'<b>Кланы</b></div><div class="menu">';
$req = mysql_query("SELECT * FROM `clan` ORDER by `exp` DESC LIMIT $num,10");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
$puslap = floor($avto/10);
While($clan = mysql_fetch_array($req))
{if($clan[set_d]==0){echo"<img src=\"pic/no.png\" alt=\"\"/>";}else{echo"<img src=\"pic/yes.png\" alt=\"\"/>";}
echo"$clan[lider] <a href=\"clan.php?id=$clan[id]\">$clan[name]</a>
<img src=\"pic/clan/$clan[emblema]\" alt=\"*\"/><br/>";}
}else{
echo"<b>Нет кланов</b><br/>";}
echo"</div><div class='menu'>";
if($_GET[page] > 0){echo "<a href=\"home.php?mod=list&page=$back\">< назад </a>";}
if($_GET[page] < $puslap){echo "<a href=\"home.php?mod=list&page=$next\">далее ></a>";}
echo"$div";
echo"<img src=\"pic/no.png\" alt=\"\"/> - закрытые кланы</br>";
echo"<img src=\"pic/yes.png\" alt=\"\"/> - открытые кланы";
break;

case 'new':
if(empty($_POST[name])){
echo'<b>Требования:</b><br/>';
echo'Уровень: <b>10</b><br/>
Монет: <b>1000</b><br/>
Алмазов: <b>20</b>';
echo "<form action=\"home.php?mod=new\" method=\"post\">";
echo"Название клана:<br/>";
echo"<input class='input' type=\"text\" size=\"10\" name=\"name\" maxlength=\"15\"/><br/>";
echo"Описание клана:<br/>";
echo"<input class='input' type=\"text\" size=\"10\" name=\"desk\" maxlength=\"100\"/><br/>";
echo '<input class="button" type="submit" value="Создать" /></form>';
}else{
$_POST[name] = htmlspecialchars($_POST[name]);
$_POST[desk] = htmlspecialchars($_POST[desk]);
if($lider==1 or !empty($udata[clan])){
echo'Вы уже находитесь в клане!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
@include('files/down.php');exit;}
$req = mysql_query("SELECT `name` FROM `clan` WHERE `name` = '$_POST[name]' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'Данное имя занято!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
@include('files/down.php');exit;}
$avto=mysql_num_rows($req);
if($udata[money]<1000 or $udata[lvl]<10 or $udata[almaz]<20){
echo'Требования не выполнены!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
@include('files/down.php');exit;}
mysql_query("UPDATE `set` SET `dclan` = 'lider' WHERE `usr` = '$log'");
mysql_query("INSERT INTO `clan` SET `lider` = '$log',`name` = '$_POST[name]', `desk` = '$_POST[desk]', `money` = '0', `max` = '1000'");
$udata[money]=$udata[money]-1000;
$udata[almaz]=$udata[almaz]-20;
mysql_query("UPDATE `users` SET `money` = '$udata[money]',`almaz` = '$udata[almaz]', `clan`='$log', `dolz`='lider' WHERE `usr` = '$log'");
echo"Клан <b>$_POST[name]</b> успешно создан!<br/>";}
echo"<a href=\"home.php?\">Назад</a>";
break;

case'logo':
if($lider==0){
echo'Вы не лидер клана!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
@include('files/down.php');exit;}
if(empty($_GET[name])){
echo"Сменить эмблему клана стоит 2 <img src=\"pic/almaz.png\" alt=\"\"/> алмаза<br/>";
$dira = opendir ("pic/clan");
while ($filea = readdir ($dira))
{if (( $filea != ".") && ($filea != ".."))
{$aa[]=$filea;}}
closedir ($dira);
$totala = count($aa);
for ($ia = 0; $ia < $totala; $ia++){
$data_namea[]=$aa[$ia];}
foreach($data_namea as $ka=>$va){
$dat_screena[]="<img src=\"pic/clan/$data_namea[$ka]\" alt=\"Эмблема\"/> - <a href=\"home.php?name=$data_namea[$ka]&amp;mod=logo\">выбрать</a><br/>";
}
$totala = count($dat_screena);
if (empty($_GET['logs'])) $logs = 0;
else $logs = $_GET['logs'];
if ($totala < $logs + 10){ $end = $totala; }
else {$end = $logs + 10; }
for ($ia = $logs; $ia < $end; $ia++){
echo"$dat_screena[$ia]";}
if ($logs != 0) {echo '<a href="home.php?logs='.($logs - 10).'&amp;mod=logo">Назад</a> ';}
if ($totala > $logs + 10) {echo ' <a href="home.php?logs='.($logs + 10).'&amp;mod=logo">Далее</a>';}
echo"<br/>Всего: $totala эмблем<br/>";
}else{
if($udata[almaz]-2<0){echo"<img src=\"pic/no.png\" alt=\"\"/> Не хватает алмазов<br/><a href=\"home.php?\">«Назад</a> ";exit;}
$name = htmlspecialchars(stripslashes(addslashes($_GET[name])));
if(!@file("pic/clan/$name")){echo"Такой эмблемы не существует."; include('files/down.php'); exit;}
mysql_query("UPDATE `clan` SET `emblema` = '$name' WHERE `lider` = '$log'");
mysql_query("UPDATE `users` SET `almaz` = '$udata[almaz]'-'2' WHERE `usr` = '$log'");
echo"Эмблема выбрана.<br/>";}
echo"</div><div class='menu'><a href=\"home.php?\">Назад</a>";
break;

case'logotip':
if($lider==0){
echo'Вы не лидер клана!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
@include('files/down.php');exit;}
if(empty($_GET[name])){
echo"Сменить логотип клана стоит 4 <img src=\"pic/almaz.png\" alt=\"\"/> алмаза<br/>";
$dira = opendir ("pic/clan/logo");
while ($filea = readdir ($dira))
{if (( $filea != ".") && ($filea != ".."))
{$aa[]=$filea;}}
closedir ($dira);
$totala = count($aa);
for ($ia = 0; $ia < $totala; $ia++){
$data_namea[]=$aa[$ia];}
foreach($data_namea as $ka=>$va){
$dat_screena[]="<img src=\"pic/clan/logo/$data_namea[$ka]\" alt=\"Лого\"/> - <a href=\"home.php?name=$data_namea[$ka]&amp;mod=logotip\">выбрать</a><br/>";}
$totala = count($dat_screena);
if (empty($_GET['logs'])) $logs = 0;
else $logs = $_GET['logs'];
if ($totala < $logs + 10){ $end = $totala; }
else {$end = $logs + 10; }
for ($ia = $logs; $ia < $end; $ia++){
echo"$dat_screena[$ia]";}
if ($logs != 0) {echo '<a href="home.php?logs='.($logs - 10).'&amp;mod=logotip">Назад</a> ';}
if ($totala > $logs + 10) {echo ' <a href="home.php?logs='.($logs + 10).'&amp;mod=logotip">Далее</a>';}
echo"<br/>Всего: $totala эмблем<br/>";
}else{
$name = htmlspecialchars(stripslashes(addslashes($_GET[name])));
if($udata[almaz]-4<0){echo"<img src=\"pic/no.png\" alt=\"\"/> Не хватает алмазов<br/><a href=\"home.php?\">«Назад</a> ";exit;}
if(!@file("pic/clan/logo/$name")){echo"Такой эмблемы не существует."; @include('files/down.php'); exit;}
mysql_query("UPDATE `clan` SET `logo` = '$name' WHERE `lider` = '$log'");
mysql_query("UPDATE `users` SET `almaz` = '$udata[almaz]'-'4' WHERE `usr` = '$log'");
echo"Эмблема выбрана.<br/>";}
echo"</div><div class='menu'><a href=\"home.php?\">Назад</a>";
break;

case 'toclan':
if($udata[dolz] = 'general'){$lider=1;}
if($lider==0){
echo'Вы не лидер клана!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include('files/down.php');exit;}
if(empty($_POST[name]) or empty($_POST[text])){
echo "<form action=\"home.php?mod=toclan\" method=\"post\">";
echo"Игрок:<br/>";
echo"<input class='input' type=\"text\" size=\"10\" name=\"name\" maxlength=\"10\"/><br/>";
echo"Текст приглашения:<br/>";
echo"<input class='input' type=\"text\" value=\"Привет!приглашаю в клан\" size=\"10\" name=\"text\" maxlength=\"100\"/><br/>";
echo '<input class="button" type="submit" value="Отослать" /></form>';}else{
$name=htmlspecialchars($_POST[name]);
$text=htmlspecialchars($_POST[text]);

$req = mysql_query("SELECT clan FROM `users` WHERE `usr` = '$name'");
////////////////////////////
$avto=mysql_num_rows($req);
$inv = mysql_fetch_array($req);
if($avto=="0"){
echo'Нет такого игрока!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
@include('files/down.php');exit;}
if($name==$log){
echo'Себе отправлять нельзя!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include('files/down.php');exit;}
if($inv[clan]==$udata[clan]){
echo'Этот игрок итак в вашем клане!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
@include('files/down.php');exit;}
if(!empty($inv[clan])){
echo'Этот игрок в другом клане!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
@include('files/down.php');exit;}
$time = date("H:i d.m.y");
$textt = "Пользователь $udata[usr] приглашает вас в клан, зайдите в раздел приглашения!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Ратуша', `user_to` = '$name', `time` = '$time', `read` = 1, `mail_msg` = '$textt'");
mysql_query("INSERT INTO `invite` SET `clan` = '$udata[clan]',`usr` = '$name',`text` = '$text'");
echo"Приглашение для игрока $name отослано!<br/>";}
echo"<a href=\"home.php?\">Назад</a>";
break;

case 'clanlist':
if($lider==0){
echo'Вы не лидер клана!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
@include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$udata[clan]'");
////////////////////////////
$cl = mysql_fetch_array($req);
echo"<b>$cl[name]</b>:<br/>";
echo "<b>1. <a href=\"search.php?nick=$cl[lider]&amp;go=go\">$cl[lider]</a> [Лидер]</b><br/>";
$req = mysql_query("SELECT clan,usr FROM `users` where `clan`='$udata[clan]' and `usr`!='$udata[clan]' ORDER BY lvl DESC");
////////////////////////////
$avto=mysql_num_rows($req);
$i=2;
if($avto>=1){
While($clan = mysql_fetch_array($req)){
echo"$i. <a href=\"search.php?nick=$clan[usr]&amp;go=go\">$clan[usr]</a> [<a href=\"home.php?mod=outclan&amp;usr=$clan[usr]\">искл.</a>]<br/>";$i++;}
echo"<br/><b>Всего соклановцев: $avto</b><br/>";}else{
echo"<b>Нет соклановцев</b><br/>";}
echo"<a href=\"home.php?\">Назад</a>";break;

case 'outclan':
if(empty($_GET[usr])){
echo'Не выбран игрок!<br/>';
@include('files/down.php');exit;}
$_GET[usr]=htmlspecialchars(stripslashes(addslashes($_GET['usr'])));
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$_GET[usr]' LIMIT 1");
// //////////////////////////
$avto = mysql_num_rows($req);
if ($avto == 1) {
$claner = mysql_fetch_array($req);
mysql_query("UPDATE `users` SET `clan` = '',`dolz` = '',`clanexp` = '0' WHERE `usr` = '$_GET[usr]'");
$time = date("H:i d.m.y");
$text = "$log исключил вас из клана!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Ратуша', `user_to` = '$_GET[usr]', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
echo"$_GET[usr] исключён из клана!<br/>";
}else{
echo'Нет такого игрока в вашем клане!';
@include('files/down.php');exit;}
echo'<a href="javascript:history.go(-1)">Назад</a>';
break;

case 'citys':
if($lider==0){
echo'Вы не лидер клана!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `zamok` WHERE clan='$udata[clan]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($c = mysql_fetch_array($req)){
echo"<b>$c[name]</b> [Прочность ворот: $c[vorota] - <a href=\"home.php?mod=repair&amp;id=$c[id]\">увеличить</a>]<br/>";
}}else{echo"<b>Нет городов</b><br/>";}
echo"<a href=\"home.php?\">Назад</a>";
break;

case 'repair':
if($lider==0){
echo'Вы не лидер клана!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `zamok` WHERE clan='$udata[clan]' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==0){
echo'Нет таких ворот!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include('files/down.php');exit;}
$zamok = mysql_fetch_array($req);
if(empty($_POST[kol])){
echo'Прочность сейчас: '.$zamok[vorota].'<br/>';
echo'За 2 ед. прочности 1 монета!<br/>';
echo "<form action=\"home.php?mod=repair&amp;id=$_GET[id]\" method=\"post\">";
echo '<b>Количество едениц:(мин.2)</b><br/>';
echo '<input name="kol"/><br/>';
echo '<input type="submit" value="Увеличить"/></form>';}else{
if($_POST[kol]<2){
echo"Минимальное количество 2!";
@include('files/down.php');exit;}
$cena=round(2*$_POST[kol]);
if($cena>$udata[money]){
echo'Нехватает монет!<br/>';
echo"<a href=\"home.php?\">Назад</a>";
include('files/down.php');exit;}
$udata[money]=$udata[money]-$cena;
$zamok[vorota]=$zamok[vorota]+$_POST[kol];
mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
mysql_query("UPDATE `zamok` SET `vorota` = '$zamok[vorota]' WHERE clan='$udata[clan]' and `id`='$_GET[id]'");
echo"Прочность ворот увеличена на $_POST[kol]!<br/>";}
echo"<a href=\"home.php?\">Назад</a>";
break;

case 'vxod':
if(empty($_GET[lider])){echo"Не выбран клан</a>";}else{
$lider=htmlspecialchars(stripslashes(addslashes($_GET['lider'])));
$req = mysql_query("SELECT * FROM `clan` WHERE lider='$lider'");
$vxod = mysql_fetch_array($req);
echo"Вы вступили в клан $vxod[name]</a>";
mysql_query("UPDATE `users` SET `clan` = '$lider' WHERE `usr` = '$log'");}
break;

case 'inv':
$req = mysql_query("SELECT * FROM `invite` WHERE `usr` = '$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($inv = mysql_fetch_array($req)){
$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$inv[clan]'");
$clan = mysql_fetch_array($req);
echo"<a href=\"home.php?mod=inv&amp;id=$inv[id]\"><b>Приглашение от клана $clan[name]</b></a><br/>";}
echo"<br/><b>Всего приглашений: $avto</b><br/>";}else{
echo"<b>Нет приглашений!</b>";}}else{
$req = mysql_query("SELECT * FROM `invite` WHERE `usr` = '$log' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);if($avto=="0"){
echo'Нет такого приглашения!';
include"files/down.php";exit;}
$inv = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$inv[clan]'");
$clan = mysql_fetch_array($req);
if(empty($_GET[go])){
echo"Отправитель: <b>$clan[name]</b><br/>";
echo"Текст: $inv[text]<br/>";
echo"<a href=\"home.php?mod=inv&amp;id=$_GET[id]&amp;go=ok\">Принять</a><br/>";
echo"<a href=\"home.php?mod=inv&amp;id=$_GET[id]&amp;go=no\">Отказаться</a><br/>";
echo"<a href=\"home.php?mod=inv\">Назад</a>";}else{
if($_GET[go]==ok){
if(!empty($udata[clan])){
echo'Вы уже находитесь в клане!';
include"files/down.php";exit;}
mysql_query("DELETE FROM `invite` WHERE usr='$log' and `id`='$_GET[id]'");
mysql_query("UPDATE `users` SET `clan`='$inv[clan]' WHERE `usr` = '$log'");
$time = date("H:i d.m.y");
$text = "Пользователь $udata[usr] вступил в ваш клан!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Ратуша', `user_to` = '$clan[lider]', `time` = '$time', `read` = 1, `mail_msg` = '$text'");
echo"Приглашение принято.Вы вступили в клан $clan[name]!<br/>";
}elseif($_GET[go]==no){
mysql_query("DELETE FROM `invite` WHERE usr='$log' and `id`='$_GET[id]'");
echo"Приглашение отклонено.<br/>";}else{
echo"Ошибка!<br/>";}
echo"<a href=\"home.php?mod=inv\">Назад</a>";}}break;

case 'delet':
$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$log'");
$clan = mysql_fetch_array($req);
$clans = mysql_num_rows($req);
if($clans!==1){echo'<img src="pic/no.png" alt=""/> Вы не являетесь лидером клана!';break;}
if($clans==1){echo"Вы действительно хотите удалить клан  $clan[name] ?<br>";
echo"<a href=\"home.php?mod=delok\">Да</a> | <a href=\"home.php?\">Нет</a> ";
break;}
break;

case 'delok':
$req = mysql_query("SELECT * FROM `users` WHERE `clan` = '$log'");
$clans = mysql_num_rows($req);
if($clans!==1){echo"<img src=\"pic/no.png\" alt=\"\"/> Исключите всех участников клана!";break;}else{
mysql_query("DELETE FROM `clan` WHERE `lider`='$log'");
mysql_query("UPDATE `users` SET `clan`='' WHERE `usr` = '$log'");
echo'<img src="pic/yes.png" alt=""/> Клан успешно удален<br>';echo"<a href=\"home.php?\">На главную</a>";
}
break;


break;
}
@include('files/down.php');
?>